<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// if (\App::environment('production', 'staging')) {
//     \URL::forceScheme('https');
// }


// Route::any('/', function () {
//     return redirect('/admin');
// })->where(['all' => '.*']);
Route::any('/','Api\HomeController@adminRedirect')->where(['all' => '.*']);

Route::get('login', '\TCG\Voyager\Http\Controllers\VoyagerAuthController@login')->name('login');
Route::get('test', 'Api\ProductController@syncImageProducts')->name('login');


Route::group(['prefix' => 'admin'], function () {
    // Route::get('/sync-data', 'Api\ProductController@syncData');
    Route::post('/precision/sync-data', 'Api\ProductController@syncDataPrecision')->name("sync_catalogue_route");


    Route::group(['prefix' => 'select'], function () {
        Route::get("/price", "SelectController@getPriceList");
        Route::get("/product", "SelectController@getProductList");
        Route::get("/category", "SelectController@getCategoryList");
        Route::get("/client", "SelectController@getClientList");
        Route::get("/entreprise", "SelectController@getEntrepriseList");
    });

    Route::group(['prefix' => 'client'], function () {
        Route::post("/{clientId}/toggleEntreprise", "Voyager\ClientController@toggleEntrepriseClient");
    });

    Route::group(['prefix' => 'formule'], function () {
        Route::get("/", "Voyager\FormuleController@index")->name('voyager.formule.index');
        Route::get("/{id}/edit", "Voyager\FormuleController@edit")->name('voyager.formule.edit');
        Route::get("/create", "Voyager\FormuleController@create");
        Route::post("/", "Voyager\FormuleController@store");
    });

    Route::post("/entreprise/addClient/", "Voyager\ClientController@addClientToEntreprise")
        ->name('voyager.entreprise.client');

    Route::post("/price/entreprise/{entrepriseId}", "Voyager\PriceController@addEntreprisePrice")
        ->name('voyager.entreprise.price');

    Route::get("command/{commandId}/print", "Voyager\CommandController@printCommand");
    
    Route::get("command/paginated/{state}/{key}", "Voyager\CommandController@getPaginatedCommands");
    Route::get("command/paginated", "Voyager\CommandController@getPaginatedCommands")->name("admin.commands.paginated");


    Route::get("command/handle/{commandId}", "Voyager\CommandController@handleCommand");
    Route::get("command/handleTest/{commandId}", "Voyager\CommandController@handleTestCommand");

    Route::get("jobs/retryAll", "Voyager\CommandController@retryFailedJobs");

    Route::get("command/{commandId}/invited", "Voyager\CommandController@getInvitedCommands");

    Route::post("/change/command/{commandId}/state", "Voyager\CommandController@changeCommandState")
        ->name('voyager.command.changestate');

    Route::post("/command/{commandId}/deliveryman/{deliveryManId}", "Voyager\CommandController@changeCommandDeliveryMan")
        ->name('voyager.command.changedeliveryman');

    Route::get("/reporting", "Voyager\ReportingController@index")
        ->name('voyager.reporting.index')->middleware(['permission:browse_reporting', 'auth']);

    Route::post("/reporting", "Voyager\ReportingController@index")
        ->name('voyager.reporting.getdata')->middleware(['permission:browse_reporting']);

    Route::get("productdescription/{id}/available", "Voyager\ProductDescriptionController@hideShowProduct");
    Route::get("productdescription/{id}/update", "Voyager\ProductDescriptionController@updateProducTimestap");

    
    Route::get("/stock", "Voyager\StockController@index")->name('voyager.stock.index')->middleware(['auth']);
    Route::post('/precision/set-stock', "Voyager\StockController@setMagasinStock")->name("set_stock_magasin_route");
    Route::post('/precision/set-stock-relation', "Voyager\StockController@setStockRelation")->name("set_stock_relation_route");
    Route::post('/precision/delete-stock-relation', "Voyager\StockController@deleteStockRelation")->name("delete_stock_relation_route");


    Route::get("/category", "Voyager\CategoryController@index")->name('voyager.category.index')->middleware(['auth']);
    Route::get("/category/{category_id}/toggle", "Voyager\CategoryController@toggleVisibility")->name('voyager.category.toggle')->middleware(['auth']);

    Route::get("/sliders", "Voyager\SliderController@index")->name('voyager.slider.index')->middleware(['auth']);
    Route::post("/sliders/update", "Voyager\SliderController@setImageSetting")->name('voyager_slider_update')->middleware(['auth']);
    Route::get("/sliders/reset", "Voyager\SliderController@resetSliders")->name('voyager_slider_reset')->middleware(['auth']);
    
    Route::get("/sliders/text/{key}/{value}", "Voyager\SliderController@updateContent")->middleware(['auth']);
    Route::post("/sliders/text}", "Voyager\SliderController@updateContent")->name('voyager_text_toggle')->middleware(['auth']);

    Route::post("/product/stock", "Voyager\ProductDescriptionController@updateProductStock")->name('set_stock_product')->middleware(['auth']);

    Route::get("/client/paginated", "Voyager\ClientController@getPaginatedClients")->name("admin.clients.paginated");
    Route::get("clients/{id}/reset", "Voyager\ClientController@resetPassword")->name("admin.clients.reset");


    Voyager::routes();

});


// Route::get("/", function () {
//     return view("welcome");
// });

// Route::any('{all}', function () {
//     return view('index');
// })->where(['all' => '.*']);